diff -ruN vdr-1.4.2-2/CONTRIBUTORS vdr-1.4.2-3/CONTRIBUTORS
--- vdr-1.4.2-2/CONTRIBUTORS	2006-09-04 19:22:38.000000000 +0200
+++ vdr-1.4.2-3/CONTRIBUTORS	2006-09-16 14:14:06.000000000 +0200
@@ -1006,6 +1006,8 @@
  for reporting a bug in handling empty titles in cEvent::FixEpgBugs()
  for suggesting to replace the "Really restart?" prompt in the call to
  cPluginManager::Active() in menu.c to "restart anyway?"
+ for adding --remove-destination to the 'cp' command for binaries in the Makefiles of
+ the plugins
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1817,6 +1819,8 @@
  have been several reports that it causes more problems than it solves
  for suggesting to add --remove-destination to the 'cp' command for binaries in
  the Makefile to avoid a crash in case a new version is installed on a running system
+ for fixing handling video directory updates in case the timestamp of the .update
+ file is in the future
 
 Marcel Schaeben <mts280@gmx.de>
  for his "Easy Input" patch
diff -ruN vdr-1.4.2-2/HISTORY vdr-1.4.2-3/HISTORY
--- vdr-1.4.2-2/HISTORY	2006-09-09 11:27:45.000000000 +0200
+++ vdr-1.4.2-3/HISTORY	2006-09-17 11:18:57.000000000 +0200
@@ -4914,3 +4914,15 @@
   to Alexander Rieger).
 - Implemented a copy constructor for cTimer (thanks to Udo Richter for reporting that
   an assignment in svdrp.c didn't use the cTimer::operator=()).
+
+2006-09-17: Version 1.4.2-3
+
+- Added --remove-destination to the 'cp' command for binaries in the Makefiles of
+  the plugins (thanks to Rolf Ahrenberg).
+- The 'skincurses' plugin now adjusts the size of the OSD to the size of the console
+  window.
+- Fixed deleting expired VPS timers (under certain conditions a timer could have been
+  deleted before it even started recording).
+- Updated the Hungarian language texts (thanks to Istvan Koenigsberger and Guido Josten).
+- Fixed handling video directory updates in case the timestamp of the .update file
+  is in the future (thanks to Petri Hintukainen).
diff -ruN vdr-1.4.2-2/PLUGINS/src/hello/Makefile vdr-1.4.2-3/PLUGINS/src/hello/Makefile
--- vdr-1.4.2-2/PLUGINS/src/hello/Makefile	2006-04-24 19:20:58.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/hello/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.14 2006/04/24 17:20:58 kls Exp $
+# $Id: Makefile 1.15 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2-2/PLUGINS/src/osddemo/Makefile vdr-1.4.2-3/PLUGINS/src/osddemo/Makefile
--- vdr-1.4.2-2/PLUGINS/src/osddemo/Makefile	2006-04-24 19:21:00.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/osddemo/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2006/04/24 17:21:00 kls Exp $
+# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2-2/PLUGINS/src/servicedemo/Makefile vdr-1.4.2-3/PLUGINS/src/servicedemo/Makefile
--- vdr-1.4.2-2/PLUGINS/src/servicedemo/Makefile	2006-06-24 11:09:54.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/servicedemo/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.7 2006/06/24 09:09:54 kls Exp $
+# $Id: Makefile 1.8 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -69,11 +69,11 @@
 
 libvdr-$(PLUGIN1).so: $(PLUGIN1).o
 	$(CXX) $(CXXFLAGS) -shared $(PLUGIN1).o -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN2).so: $(PLUGIN2).o
 	$(CXX) $(CXXFLAGS) -shared $(PLUGIN2).o -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2-2/PLUGINS/src/skincurses/HISTORY vdr-1.4.2-3/PLUGINS/src/skincurses/HISTORY
--- vdr-1.4.2-2/PLUGINS/src/skincurses/HISTORY	2006-06-03 16:31:33.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/skincurses/HISTORY	2006-09-10 16:25:11.000000000 +0200
@@ -35,3 +35,7 @@
 - Fixed handling tabbed item display.
 - When the 'skincurses' plugin is loaded, it automatically sets the 'curses'
   skin as the current one.
+
+2006-09-10: Version 0.0.8
+
+- The size of the OSD is now adjusted to the size of the console window.
diff -ruN vdr-1.4.2-2/PLUGINS/src/skincurses/Makefile vdr-1.4.2-3/PLUGINS/src/skincurses/Makefile
--- vdr-1.4.2-2/PLUGINS/src/skincurses/Makefile	2006-04-24 19:21:02.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/skincurses/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.6 2006/04/24 17:21:02 kls Exp $
+# $Id: Makefile 1.7 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -lncurses -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2-2/PLUGINS/src/skincurses/skincurses.c vdr-1.4.2-3/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.4.2-2/PLUGINS/src/skincurses/skincurses.c	2006-06-03 16:20:39.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/skincurses/skincurses.c	2006-09-10 16:23:55.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 1.10 2006/06/03 14:20:39 kls Exp $
+ * $Id: skincurses.c 1.11 2006/09/10 14:23:55 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,7 +11,7 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.0.7";
+static const char *VERSION        = "0.0.8";
 static const char *DESCRIPTION    = "A text only skin";
 static const char *MAINMENUENTRY  = NULL;
 
@@ -53,8 +53,8 @@
   clrRed
   };
 
-#define OsdWidth  50//XXX
-#define OsdHeight 20//XXX
+static int OsdWidth = 50;
+static int OsdHeight = 20;
 
 class cCursesOsd : public cOsd {
 private:
@@ -780,8 +780,13 @@
 bool cPluginSkinCurses::Initialize(void)
 {
   // Initialize any background activities the plugin shall perform.
-  initscr();
-  return true;
+  WINDOW *w = initscr();
+  if (w) {
+     OsdWidth  = w->_maxx - w->_begx + 1;
+     OsdHeight = w->_maxy - w->_begy + 1;
+     return true;
+     }
+  return false;
 }
 
 bool cPluginSkinCurses::Start(void)
diff -ruN vdr-1.4.2-2/PLUGINS/src/sky/Makefile vdr-1.4.2-3/PLUGINS/src/sky/Makefile
--- vdr-1.4.2-2/PLUGINS/src/sky/Makefile	2006-04-24 19:21:03.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/sky/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2006/04/24 17:21:03 kls Exp $
+# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2-2/PLUGINS/src/status/Makefile vdr-1.4.2-3/PLUGINS/src/status/Makefile
--- vdr-1.4.2-2/PLUGINS/src/status/Makefile	2006-04-24 19:21:04.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/status/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.12 2006/04/24 17:21:04 kls Exp $
+# $Id: Makefile 1.13 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2-2/PLUGINS/src/svdrpdemo/Makefile vdr-1.4.2-3/PLUGINS/src/svdrpdemo/Makefile
--- vdr-1.4.2-2/PLUGINS/src/svdrpdemo/Makefile	2006-04-24 19:21:06.000000000 +0200
+++ vdr-1.4.2-3/PLUGINS/src/svdrpdemo/Makefile	2006-09-09 14:38:35.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.6 2006/04/24 17:21:06 kls Exp $
+# $Id: Makefile 1.7 2006/09/09 12:38:35 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
diff -ruN vdr-1.4.2-2/config.h vdr-1.4.2-3/config.h
--- vdr-1.4.2-2/config.h	2006-09-04 19:44:12.000000000 +0200
+++ vdr-1.4.2-3/config.h	2006-09-10 16:09:31.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.269 2006/09/04 17:44:12 kls Exp $
+ * $Id: config.h 1.270 2006/09/10 14:09:31 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -21,7 +21,7 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.4.2-2"
+#define VDRVERSION  "1.4.2-3"
 #define VDRVERSNUM   10402  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
diff -ruN vdr-1.4.2-2/i18n.c vdr-1.4.2-3/i18n.c
--- vdr-1.4.2-2/i18n.c	2006-05-05 15:26:09.000000000 +0200
+++ vdr-1.4.2-3/i18n.c	2006-09-16 11:08:30.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.281 2006/05/05 13:26:09 kls Exp $
+ * $Id: i18n.c 1.282 2006/09/16 09:08:30 kls Exp $
  *
  * Translations provided by:
  *
@@ -20,7 +20,7 @@
  * Greek       Dimitrios Dimitrakos <mail@dimitrios.de>
  * Swedish     Tomas Prybil <tomas@prybil.se>, Jan Ekholm <chakie@infa.abo.fi>
  * Romanian    Paul Lacatus <paul@campina.iiruc.ro>, Lucian Muresan <lucianm@users.sourceforge.net>
- * Hungarian   Istvan Koenigsberger <istvnko@hotmail.com>, Guido Josten <guido.josten@t-online.de>
+ * Hungarian   Istvan & Silvia Koenigsberger <istvnko@hotmail.com>, Guido Josten <guido.josten@t-online.de>
  * Catalanian  Marc Rovira Vall <tm05462@salleURL.edu>, Ramon Roca <ramon.roca@xcombo.com>, Jordi Vilà <jvila@tinet.org>
  * Russian     Vyacheslav Dikonov <sdiconov@mail.ru>, Oleg Roitburd <oleg@roitburd.de>
  * Croatian    Drazen Dupor <drazen.dupor@dupor.com>, Dino Ravnic <dino.ravnic@fer.hr>
@@ -231,7 +231,7 @@
     "×ñïíïðñïãñáììáôéóìïß",
     "Timers",
     "Timer-e",
-    "Felvétel beprogramozása",
+    "Idözítö",
     "Temporitzadors",
     "ÂÐÙÜÕàë",
     "Termini",
@@ -275,7 +275,7 @@
     "Ðëçñïöïñßåò EããñáöÞò",
     "Inspelning",
     "Detaliile înregistrãrii",
-    "",// TODO
+    "Felvétel",
     "",// TODO
     "¸ÝäÞ Þ ×ÐßØáØ",
     "",// TODO
@@ -385,7 +385,7 @@
     "Ôñïðïðïßçóç ÷ñïíïðñïãñáììáôéóìïý",
     "Ändra timer",
     "Modificare timer",
-    "Felvétel beprogramozásának megváltoztatása",
+    "Idözítö megváltoztatása",
     "Editar temporitzador",
     "ÃáâÐÝÞÒÚÐ âÐÙÜÕàÐ",
     "Ureðivanje termina",
@@ -429,7 +429,7 @@
     "Ðëçñïöïñßåò",
     "Info",
     "Info",
-    "",//TODO
+    "Információ",
     "",//TODO
     "¸ÝäÞ",
     "Info",
@@ -473,7 +473,7 @@
     "",//TODO
     "Den här sändningen - %s",
     "Aceastã emisiune - %s",
-    "",//TODO
+    "Ez az adás - %s",
     "",//TODO
     "ÍâÐ ßÕàÕÔÐçÐ - %s",
     "",//TODO
@@ -495,7 +495,7 @@
     "",//TODO
     "Den här sändningen - alla kanaler",
     "Aceastã emisiune - toate canalele",
-    "",//TODO
+    "Ez az adás - összes adó",
     "",//TODO
     "ÍâÐ ßÕàÕÔÐçÐ - ÒáÕ ÚÐÝÐÛë",
     "",//TODO
@@ -517,7 +517,7 @@
     "",//TODO
     "Alla tillfällen - alla kanaler",
     "Toate emisiunile - toate canalele",
-    "",//TODO
+    "Az összes adás - az összes adó",
     "",//TODO
     "²áÕ ßÕàÕÔÐçØ - ÒáÕ ÚÐÝÐÛë",
     "",//TODO
@@ -694,7 +694,7 @@
     "",// TODO
     "Timer",
     "Timer",
-    "",// TODO
+    "Idözítö",
     "",// TODO
     "ÂÐÙÜÕà",
     "",// TODO
@@ -738,7 +738,7 @@
     "Ðëçñïöïñßåò",
     "Info",
     "Info",
-    "",//TODO
+    "Információ",
     "",//TODO
     "¸ÝäÞ",
     "Info",
@@ -1090,7 +1090,7 @@
     "ÓÜñùóç",
     "Skanna",
     "Cãutare canale",
-    "",//TODO
+    "Adáskeresés",
     "",//TODO
     "ÁÚÐÝØàÞÒÐâì",
     "Pretra¾i",
@@ -1112,7 +1112,7 @@
     "¹÷ïò",
     "Ljud",
     "Sunet",
-    "",// TODO
+    "Hang",
     "",// TODO
     "Ï×ëÚ",
     "",// TODO
@@ -1157,7 +1157,7 @@
     "ÄéáãñáöÞ ÷ñïíïðñïãñáììáôéóìïý;?",
     "Ta bort timern?",
     "ªterg timer-ul?",
-    "Felvétel beprogramozásának törlése?",
+    "Idözítö törlése?",
     "Esborrar el temporitzador?",
     "ÃÔÐÛØâì âÐÙÜÕà?",
     "Obrisati termin?",
@@ -1708,7 +1708,7 @@
     "",//TODO
     "Okodad",
     "FTA (necriptat)",
-    "",//TODO
+    "Kódolatlan",
     "",//TODO
     "FTA (ÝÕ×ÐÚÞÔØàÞÒÐÝÞ)",
     "",//TODO
@@ -1730,7 +1730,7 @@
     "",//TODO
     "krypterad",
     "criptat",
-    "",//TODO
+    "Kódolt",
     "",//TODO
     "×ÐÚÞÔØàÞÒÐÝÞ",
     "",//TODO
@@ -2061,7 +2061,7 @@
     "VPS",
     "VPS",
     "VPS",
-    "",// TODO
+    "VPS",
     "",// TODO
     "VPS ßÞßàÐÒÚÐ",
     "VPS", // hrv
@@ -2172,7 +2172,7 @@
     "Ôï êáíÜëç ÷ñéóéìïðïéåßôáé áðü ÷ñïíïðñïãñáììáôéóìü!",
     "Kanalen används av en timer!",
     "Canalul este utilizat de un timer!",
-    "Csatornát más használja!",
+    "Az adót az idözítö használja!",
     "Canal en ús per un temporitzador!",
     "ºÐÝÐÛ ×ÐÝïâ âÐÙÜÕàÞÜ!",
     "Program je trenutno zauzet terminom za snimanje",
@@ -2194,7 +2194,7 @@
     "ÁëëáãÞ êáíáëéïý áäýíáôç!",
     "Omöjligt att byta kanal!",
     "Nu pot comuta canalul!",
-    "Csatornát nem lehet átkapcsolni!",
+    "Az adót nem lehet elkapcsolni",
     "No puc canviar de canal!",
     "½ÕÒÞ×ÜÞÖÝÞ ßÕàÕÚÛîçØâì ÚÐÝÐÛ!",
     "Ne mogu prebaciti program!",
@@ -2304,7 +2304,7 @@
     "",//TODO
     "strax VPS inspelning...",
     "Urmeazã o înregistrare VPS!",
-    "",//TODO
+    "VPS-felvétel rögtön kezdödik!",
     "",//TODO
     "VPS-·ÐßØáì áÚÞàÞ ÝÐçÝÕâáï",
     "",//TODO
@@ -2348,7 +2348,7 @@
     "Ôï êáíÜëç äÝí åßíáé äéáèÝóéìï!",
     "Kanalen är inte tillgänglig!",
     "Canal indisponibil",
-    "A csatorna nem elérhetö",
+    "Az adó nem elérhetö",
     "Canal no disponible!",
     "ºÐÝÐÛ ÝÕÔÞáâãßÕÝ!",
     "Program nije dostupan!",
@@ -2370,7 +2370,7 @@
     "Ïé ñéèìýóåéò ôïí êáíáëéþí áëëõëïóõìðßðôïõí!",
     "Kanalinställningarna är ej unika!",
     "Parametrii canalului nu sunt univoci!",
-    "A csatornabeállítások nem egyértelmüek",
+    "Az adóbeállítások nem egyértelmüek",
     "Propietats del canal duplicades!",
     "½ÐáâàÞÙÚØ ÚÐÝÐÛÐ ÝÕ ãÝØÚÐÛìÝë!",
     "Parametri programa nisu jednoznaèni!",
@@ -2392,7 +2392,7 @@
     "Ôï êáíÜëé åßíáé áðïó÷ïëéìÝíï (Ãßíåôå åããñáöÞ)!",
     "Kanalen är låst (inspelning pågår)!",
     "Canal blocat (înregistrare)!",
-    "Csatorna hozzáférhetetlen (felvétel)!",
+    "Az adó blokkolva (felvétel)!",
     "Canal bloquejat (gravant)!",
     "ºÐÝÐÛ ×ÐÑÛÞÚØàÞÒÐÝ (ØÔñâ ×ÐßØáì)!",
     "Program blokiran (snimanje)!",
@@ -2524,7 +2524,7 @@
     "",//TODO
     "Otillräcklingt diskutrymme för inspelning!",
     "Insuficient spaþiul pe disc pentru înregistrare!",
-    "",//TODO
+    "Nincs elegendö hely a felvételre",
     "",//TODO
     "½ÕÔÞáâÐâÞçÝÞ ÜÕáâÐ ÝÐ ÔØáÚÕ ÔÛï ÝÐçÐÛÐ ×ÐßØáØ",
     "",//TODO
@@ -2568,7 +2568,7 @@
     "",//TODO
     "Öppnar CAM menyn...",
     "Deschid meniul CAM...",
-    "",//TODO
+    "A CAM-menü nyitás alatt...",
     "",//TODO
     "¾âÚàëÒÐî ÜÕÝî ÜÞÔãÛï ãáÛÞÒÝÞÓÞ ÔÞáâãßÐ (CAM)",
     "",//TODO
@@ -2612,7 +2612,7 @@
     "",//TODO
     "Återställer CAM ...",
     "Se reseteazã CAM...",
-    "",//TODO
+    "A CAM újra indul...",
     "",//TODO
     "¿ÕàÕÓàã×ÚÐ CAM...",
     "",//TODO
@@ -2678,7 +2678,7 @@
     "",//TODO
     "Mata in %d siffror!",
     "Vã rog introduceþi %d cifre!",
-    "",//TODO
+    "Üssön be %d számot!",
     "",//TODO
     "½ÐÖÜØâÕ %d æØäàë",
     "",//TODO
@@ -2700,7 +2700,7 @@
     "Ìç äéáèÝóéìïò Þ÷ïò",
     "Ljud saknas!",
     "Lipseºte sunetul!",
-    "",//TODO
+    "Hang nem lehetséges!",
     "",//TODO
     "¾âáãâáâÒãÕâ ×ÒãÚ!",
     "Audio nedostupan",
@@ -2988,7 +2988,7 @@
     "ÅðéöÜíåéá",
     "Skin",
     "Skin",
-    "",// TODO
+    "Menü nézet",
     "",// TODO
     "ÁâØÛì",
     "Povr¹ina",
@@ -3010,7 +3010,7 @@
     "ÈÝìá",
     "Tema",
     "Temã",
-    "",// TODO
+    "Téma",
     "",// TODO
     "¿ÐÛØâàÐ",
     "Tema",
@@ -3032,7 +3032,7 @@
     "ÁñéóôåñÜ",
     "Vänster",
     "Stânga",
-    "",// TODO
+    "Balra",
     "",// TODO
     "¾âáâãß áÛÕÒÐ",
     "Lijevo",
@@ -3054,7 +3054,7 @@
     "ÅðÜíù",
     "Övre",
     "Sus",
-    "",// TODO
+    "Fent",
     "",// TODO
     "¾âáâãß áÒÕàåã",
     "Gore",
@@ -3142,7 +3142,7 @@
     "×ñéóçìïðïßçóç ìéêñüí ãñáììáôïóåéñþí",
     "Använd liten font",
     "Utilizare fonturi mici",
-    "",// TODO
+    "Kisbetüt használni",
     "",// TODO
     "¸áßÞÛì×ÞÒÐâì ÜÕÛÚØÙ èàØäâ",
     "Koristi mala slova",
@@ -3164,7 +3164,7 @@
     "ÐïôÝ",
     "aldrig",
     "niciodatã",
-    "",// TODO
+    "soha",
     "",// TODO
     "ÝØÚÞÓÔÐ",
     "nikada",
@@ -3186,7 +3186,7 @@
     "ÅîáñôÜôå áðü ôÞí åðéöÜíåéá",
     "skin beroende",
     "dep. de skin",
-    "",// TODO
+    "Menü nézetétöl függöen",
     "",// TODO
     "áÞÓÛÐáÝÞ âÕÜÕ",
     "ovisno o povr¹ini",
@@ -3208,7 +3208,7 @@
     "ðÜíôá",
     "alltid",
     "întotdeauna",
-    "",// TODO
+    "mindig",
     "",// TODO
     "ÒáÕÓÔÐ",
     "uvijek",
@@ -3230,7 +3230,7 @@
     "ÈÝóç ðëçñïöïñßáò êáíáëéþí",
     "Placering av kanalinformation",
     "Poziþia informaþiilor despre canal",
-    "Csatorna-Infó poziciója",
+    "Adásinformáció poziciója",
     "Posició de la informació del canal",
     "¿ÞÛÞÖÕÝØÕ ÞÚÝÐ ØÝäÞàÜÐæØØ Þ ÚÐÝÐÛÕ",
     "Pozicija informacije o programu",
@@ -3252,7 +3252,7 @@
     "÷ñüíïò Ýíäåéêóçò ðëçñïöïñßùí êáíáëéïý óå (ä)",
     "Kanal information (s)",
     "Durata afiºãrii info-canal (s)",
-    "",// TODO
+    "Adásinformáció feltüntetésének idötartama (s)",
     "",// TODO
     "¿ÞÚÐ× ØÝäÞàÜÐæØØ Þ ÚÐÝÐÛÕ (áÕÚ)",
     "Vrijeme prikaza informacije o programu (s)",
@@ -3274,7 +3274,7 @@
     "Ðëçñïöïñßåò óôÞí áëëáãÞ êáíáëéïý",
     "Information vid kanalbyte",
     "Informaþii la comutarea canalului",
-    "Infó a csatorna váltásánál",
+    "Információ az adó váltásánál",
     "Informació del canvi de canal",
     "¿ÞÚÐ×ëÒÐâì ØÝäÞàÜÐæØî Þ ÚÐÝÐÛÕ",
     "Informacije kod promjene kanala",
@@ -3296,7 +3296,7 @@
     "", // TODO
     "Timeout för kanalinformation",
     "Durata afiºãrii informaþii canal",
-    "", // TODO
+    "A lekérdezett adásinformáció bezárása",
     "", // TODO
     "¸ÝäÞàÜÐæØî Þ ÚÐÝÐÛÕ ×ÐÚàëâì",
     "", // TODO
@@ -3340,7 +3340,7 @@
     "Êýëéóç ãýñù-ãýñù",
     "Rulla texten",
     "Derulare circularã",
-    "",// TODO
+    "Korlátlan léptetés",
     "",// TODO
     "ÆØÚÛØçÕáÚÐï ßàÞÚàãâÚÐ",
     "S kraja skoèi na poèetak",
@@ -3362,7 +3362,7 @@
     "",// TODO
     "Menyknappen stänger",
     "Tasta 'Meniu' închide",
-    "",// TODO
+    "A menü gomb zár",
     "",// TODO
     "ºÝÞßÚã ¼ÕÝî ×ÐÚàëâì",
     "",// TODO
@@ -3406,7 +3406,7 @@
     "×ñüíïò äéÜñêåéáò åîÝôáóçò EPG óå þñåò",
     "EPG sökning timeout",
     "Interval achiziþie EPG (h)",
-    "Fennmaradt idö az EPG-g (h)",
+    "Fennmaradt idö az EPG-újításig (h)",
     "Màxim d'Hores a cercar per la Guia",
     "·ÐÔÕàÖÚÐ áÚÐÝØàÞÒÐÝØï âÕÛÕÓØÔÐ (ç)",
     "Vrijeme do EPG pregleda (h)",
@@ -3450,7 +3450,7 @@
     "¸íäåéîç îåðåñáóìÝíùí ðëçñïöïñéþí (ëåðôÜ)",
     "Visa gammal information (min)",
     "Date EPG expirate cel mult (min)",
-    "",// TODO
+    "Régi EPG adatok megmutatása (perc)",
     "",// TODO
     "ÅàÐÝÕÝØÕ ãáâÐàÕÒèØå ÔÐÝÝëå (ÜØÝ)",
     "Prika¾i stare EPG podatke (min)",
@@ -3516,7 +3516,7 @@
     "Ðñïôåéíüìåíåò ãëþóóåò",
     "Önskade språk",
     "Limbi preferate",
-    "",// TODO
+    "Kedvenc nyelvek",
     "",// TODO
     "¿àÕÔßÞçØâÐÕÜëÕ ï×ëÚØ (âÕÛÕÓØÔ)",
     "Preferirani jezici",
@@ -3538,7 +3538,7 @@
     "Ðñïôåéíüìåíç ãëþóóá",
     "Önskat språk",
     "Limba preferatã",
-    "",// TODO
+    "Kedvenc nyelv",
     "",// TODO
     "²ëÑàÐÝ",
     "Preferirani jezik",
@@ -3692,7 +3692,7 @@
     "×ñÞóç Þ÷ïõ Dolby Digital",
     "Använd Dolby Digital",
     "Sunet Dolby Digital",
-    "",//TODO
+    "Dolby-Digital hangot használni",
     "",//TODO
     "²ÚÛîçØâì Dolby Digital",
     "Koristi Dolby Digital",
@@ -3714,7 +3714,7 @@
     "ÅíçìÝñùóç êáíáëéþí",
     "Uppdatera kanaler",
     "Actualizare canale",
-    "",// TODO
+    "Adók aktualizálása",
     "",// TODO
     "¾ÑÝÞÒÛïâì ÝÐáâàÞÙÚØ ÚÐÝÐÛÞÒ",
     "Aktualiziraj programe",
@@ -3736,7 +3736,7 @@
     "ìüíï ïíüìáôá",
     "bara namn",
     "doar numele",
-    "",// TODO
+    "kizárólag nevek",
     "",// TODO
     "âÞÛìÚÞ ÝÐ×ÒÐÝØï",
     "samo imena",
@@ -3758,7 +3758,7 @@
     "",// TODO
     "bara PIDs",
     "Numai PID-uri",
-    "",// TODO
+    "kizárólag PID-k",
     "",// TODO
     "ÂÞÛìÚÞ PIDë",
     "",// TODO
@@ -3780,7 +3780,7 @@
     "Ïíüìáôá êáß PIDs",
     "namn och PID",
     "nume si PID-uri",
-    "",// TODO
+    "nevek és PID-k",
     "",// TODO
     "ÝÐ×ÒÐÝØï Ø PIDë",
     "imena i identifikatore (PIDs)",
@@ -3802,7 +3802,7 @@
     "ðñïóèÞêç íÝùí êáíáëéþí",
     "lägg till nya kanaler",
     "adãugare canale noi",
-    "",// TODO
+    "új adók hozzáadása",
     "",// TODO
     "ÝÞÒëÕ ÚÐÝÐÛë",
     "dodaj nove programe",
@@ -3824,7 +3824,7 @@
     "ðñïóèÞêç íÝïõ áíáìåôáäüôç",
     "lägg till nya transponders",
     "adãugare transpondere noi",
-    "",// TODO
+    "új transponder hozzáadása",
     "",// TODO
     "ÝÞÒ. âàÐÝáßÞÝÔÕàë",
     "dodaj nove transpondere", // hrv TODO transponderi == odasiljaèi?
@@ -3846,7 +3846,7 @@
     "Ãëþóóåò Þ÷ïõ",
     "Antal ljudspråk",
     "Limbi sunet",
-    "",//TODO
+    "Audio-nyelvek",
     "",//TODO
     "¿àÕÔßÞçØâÐÕÜëÕ ï×ëÚØ (×ÒãÚ)",
     "Audio jezici",
@@ -3868,7 +3868,7 @@
     "Ãëþóóá Þ÷ïõ",
     "Ljudspråk",
     "Limba sunetului",
-    "",//TODO
+    "Audio-nyelv",
     "",//TODO
     "²ëÑàÐÝ",
     "Audio jezik",
@@ -4000,7 +4000,7 @@
     "Ðñüóèåôïò ÷ñüíïò óôçí áñ÷Þ (ëåðôÜ)",
     "Marginal för start (min)",
     "Marjã la pornire (min)",
-    "Idöeltolódás a kezdésnél (min)",
+    "Idöeltolódás a kezdésnél (perc)",
     "Marge d'inici de gravació (min)",
     "¾ßÕàÕÖÕÝØÕ ÝÐçÐÛÐ ×ÐßØáØ (ÜØÝ)",
     "Rezerva na poèetku snimanja (min)",
@@ -4022,7 +4022,7 @@
     "Ðñüóèåôïò ÷ñüíïò óôü ôÝëïò (ëåðôÜ)",
     "Marginal för stopp (min)",
     "Marjã la oprire (min)",
-    "Idöeltolódás a befejezésnél",
+    "Idöeltolódás a befejezésnél (perc)",
     "Marge de fi de gravació (min)",
     "·ÐßÐ×ÔëÒÐÝØÕ ÞáâÐÝÞÒÚØ ×ÐßØáØ (ÜØÝ)",
     "Rezerva na kraju (min)",
@@ -4176,7 +4176,7 @@
     "×ñÞóç VPS",
     "Använd VPS",
     "Utilizeazã VPS",
-    "",// TODO
+    "VPS-t használni",
     "",// TODO
     "¸áßÞÛì×ÞÒÐâì áØÓÝÐÛë VPS",
     "Koristi VPS",
@@ -4198,7 +4198,7 @@
     "Ðåñéèþñéï VPS (ä)",
     "VPS marginal (s)",
     "Marjã de timp la utilizare VPS (s)",
-    "",// TODO
+    "Idöeltolódás VPS-nél (s)",
     "",// TODO
     "±ãäÕàÝÞÕ ÒàÕÜï VPS (áÕÚ)",
     "Vremenska rezerva kod VPS (s)",
@@ -4264,7 +4264,7 @@
     "ÄéÜñêåéá óôãìéáßáò åããñáöÞò (ëåðôÜ)",
     "Direktinspelning längd (min)",
     "Timpul de înregistare imediatã (min)",
-    "Felvétel idötartama",
+    "Felvétel idötartama (perc)",
     "Temps de gravació instantània (min)",
     "´ÛØâÕÛìÝÞáâì àãçÝÞÙ ×ÐßØáØ (ÜØÝ)",
     "Trajanje direktnog snimanja (min)",
@@ -4396,7 +4396,7 @@
     "ÅëÜ÷éóôïò ÷ñÜíïò ðáñåìâïëÞò (ëåðôÜ)",
     "Minsta händelse-pause (min)",
     "Duratã minimã emisiuni (min)",
-    "Min. esemény szünet (min)",
+    "Idözitések közötti idötartam (perc)",
     "Temps mínim en pausa (min)",
     "¼ØÝ. ÒàÕÜï ÞÖØÔÐÝØï áÞÑëâØï (ÜØÝ)",
     "Minimalno vrijeme pauze",
@@ -4418,7 +4418,7 @@
     "ÅëÜ÷éóôïò ÷ñüíïò áíáìïíÞò (ëåðôÜ)",
     "Minsta användar-inaktivitet (min)",
     "Durata minimã de inactivitate (min)",
-    "Min. kezelési aktivitás (min)",
+    "VDR leáll használat nélkül (perc)",
     "Temps mínim d'inactivitat (min)",
     "¼ØÝ. ÒàÕÜï ÞÖØÔÐÝØï ÒÒÞÔÐ (ÜØÝ)",
     "Minimalno vrijeme neaktivnosti (min)",
@@ -4440,7 +4440,7 @@
     "SVDRP äéáêïðÞ (ä)",
     "SVDRP Timeout (s)",
     "Timeout SVDRP (sec)",
-    "SVDRP Timeout (s)",
+    "SVDRP szétkapcsol használat nélkül(s)",
     "SVDRP Timeout (s)",
     "·ÐÔÕàÖÚÐ ÞÑàëÒÐ áÞÕÔ. SVDRP (áÕÚ)",
     "SVDRP vrijeme neaktivnosti",
@@ -4462,7 +4462,7 @@
     "ÆÜðéíãê äéáêïðÞ (ä)",
     "Zap timeout(s)",
     "Interval zapping (s)",
-    "",// TODO
+    "Adásváltás ideje (s)",
     "",// TODO
     "·ÐÔÕàÖÚÐ ßÕàÕÚÛîçÕÝØï ÚÐÝÐÛÐ (áÕÚ)",
     "",// hrv TODO
@@ -4484,7 +4484,7 @@
     "",// TODO
     "Kanal vid uppstart",
     "Canalul de pornire",
-    "",// TODO
+    "Adás a bekapcsolásnál",
     "",// TODO
     "ºÐÝÐÛ ßàØ ÒÚÛîçÕÝØØ",
     "",// TODO
@@ -4506,7 +4506,7 @@
     "",// TODO
     "Ljudstyrka vid uppstart",
     "Volumul la pornire",
-    "",// TODO
+    "Hangerö a bekapcsolásnál",
     "",// TODO
     "³àÞÜÚÞáâì ßàØ ÒÚÛîçÕÝØØ",
     "",// TODO
@@ -4528,7 +4528,7 @@
     "",// TODO
     "som förut",
     "ca mai înainte",
-    "",// TODO
+    "ahogy az elöbb",
     "",// TODO
     "ÚÐÚ àÐÝìèÕ",
     "",// TODO
@@ -5193,7 +5193,7 @@
     "Ðëçñïöïñßåò",
     "Info",
     "Info",
-    "",//TODO
+    "Információ",
     "",//TODO
     "¸ÝäÞ",
     "Info",
@@ -5347,7 +5347,7 @@
     "",// TODO
     "Nästa",
     "Urmãtor",
-    "",// TODO
+    "Elöre",
     "",// TODO
     "²ßÕàÕÔ",
     "",// TODO
@@ -5369,7 +5369,7 @@
     "",// TODO
     "Bakåt",
     "Anterior",
-    "",// TODO
+    "Vissza",
     "",// TODO
     "½Ð×ÐÔ",
     "",// TODO
@@ -5457,7 +5457,7 @@
     "",// TODO
     "Förra kanalen",
     "Canal anterior",
-    "",// TODO
+    "Az elözö adás",
     "",// TODO
     "¿àÕÔëÔãéØÙ ÚÐÝÐÛ",
     "",// TODO
@@ -5545,7 +5545,7 @@
     "¹÷ïò",
     "Ljud",
     "Sunet",
-    "",// TODO
+    "Hang",
     "",// TODO
     "Ï×ëÚ",
     "",// TODO
@@ -5766,7 +5766,7 @@
     "ÔïðïèÝôçóç: ",
     "Hopp: ",
     "Salt la: ",
-    "Ugrás: ",
+    "Ugrás:",
     "Salta a:",
     "¿ÕàÕÙâØ: ",
     "Skoèi: ",
@@ -5788,7 +5788,7 @@
     "¸íôáóç ",
     "Volym ",
     "Volum ",
-    "Hangerö ",
+    "Hangerö",
     "Volum ",
     "³àÞÜÚÞáâì ",
     "Glasnoæa ",
@@ -5832,7 +5832,7 @@
     " ÔÝëïò åããáöÞò ",
     " Avsluta inspelning ",
     " Opreºte înregistrarea ",
-    " Felvételt befejezni ",
+    " Felvételt befejezni",
     " Aturar la gravació ",
     " ¿àÕÚàÐâØâì ×ÐßØáì ",
     " Prekini snimanje ",
@@ -5986,7 +5986,7 @@
     "",//TODO
     "Inspelningen har startat",
     "A început înregistrarea",
-    "",//TODO
+    "A felvétel elinditva Nd",
     "",//TODO
     "·ÐßØáì ÝÐçÐâÐ",
     "",//TODO
@@ -6030,7 +6030,7 @@
     "Áñ÷Þ óÜñùóç EPG",
     "Påbörjar EPG skanning",
     "Pornesc achiziþia EPG",
-    "",// TODO
+    "EPG adatok aktualizálása",
     "",// TODO
     "½ÐçØÝÐî EPG-áÚÐÝØàÞÒÐÝØÕ",
     "Poèinjem EPG-scan",
@@ -6074,7 +6074,7 @@
     "Êëáóéêü VDR",
     "Klassisk VDR",
     "VDR clasic",
-    "",// TODO
+    "Klasszikus VDR",
     "",// TODO
     "ºÛÐááØçÕáÚØÙ",
     "Klasièni VDR",
@@ -6096,7 +6096,7 @@
     "ÌïñöÝò ST:TNG",
     "ST:TNG konsol",
     "Cons. ST:TNG",
-    "",// TODO
+    "ST:TNG Konzol",
     "",// TODO
     "ST:TNG ßÐÝÕÛØ",
     "ST:TNG Konzole",
@@ -6118,7 +6118,7 @@
     "×ùñßò Ôßôëï",
     "ingen titel",
     "Fãrã titlu",
-    "",// TODO
+    "név nélkül",
     "",// TODO
     "±Õ× ÝÐ×ÒÐÝØï",
     "Bez titla",
diff -ruN vdr-1.4.2-2/newplugin vdr-1.4.2-3/newplugin
--- vdr-1.4.2-2/newplugin	2006-06-24 11:15:17.000000000 +0200
+++ vdr-1.4.2-3/newplugin	2006-09-09 14:38:35.000000000 +0200
@@ -12,7 +12,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: newplugin 1.29 2006/06/24 09:15:17 kls Exp $
+# $Id: newplugin 1.30 2006/09/09 12:38:35 kls Exp $
 
 $PLUGIN_NAME = $ARGV[0] || die "Usage: newplugin <name>\n";
 
@@ -124,7 +124,7 @@
 
 libvdr-\$(PLUGIN).so: \$(OBJS)
 	\$(CXX) \$(CXXFLAGS) -shared \$(OBJS) -o \$\@
-	\@cp \$\@ \$(LIBDIR)/\$\@.\$(APIVERSION)
+	\@cp --remove-destination \$\@ \$(LIBDIR)/\$\@.\$(APIVERSION)
 
 dist: clean
 	\@-rm -rf \$(TMPDIR)/\$(ARCHIVE)
diff -ruN vdr-1.4.2-2/recording.c vdr-1.4.2-3/recording.c
--- vdr-1.4.2-2/recording.c	2006-07-30 12:23:46.000000000 +0200
+++ vdr-1.4.2-3/recording.c	2006-09-16 14:12:34.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.c 1.149 2006/07/30 10:23:46 kls Exp $
+ * $Id: recording.c 1.150 2006/09/16 12:12:34 kls Exp $
  */
 
 #include "recording.h"
@@ -947,7 +947,10 @@
 
 bool cRecordings::NeedsUpdate(void)
 {
-  return lastUpdate < LastModifiedTime(UpdateFileName());
+  time_t lastModified = LastModifiedTime(UpdateFileName());
+  if (lastModified > time(NULL))
+     return false; // somebody's clock isn't running correctly
+  return lastUpdate < lastModified;
 }
 
 bool cRecordings::Update(bool Wait)
diff -ruN vdr-1.4.2-2/timers.c vdr-1.4.2-3/timers.c
--- vdr-1.4.2-2/timers.c	2006-09-08 17:06:09.000000000 +0200
+++ vdr-1.4.2-3/timers.c	2006-09-15 16:15:53.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: timers.c 1.64 2006/09/08 15:06:09 kls Exp $
+ * $Id: timers.c 1.65 2006/09/15 14:15:53 kls Exp $
  */
 
 #include "timers.h"
@@ -438,13 +438,7 @@
 
 bool cTimer::Expired(void) const
 {
-  if (IsSingleEvent() && !Recording() && StopTime() + EXPIRELATENCY <= time(NULL)) {
-     if (HasFlags(tfVps) && event && event->Vps())
-        return event->RunningStatus() == SI::RunningStatusNotRunning;
-     else
-        return true;
-     }
-  return false;
+  return IsSingleEvent() && !Recording() && StopTime() + EXPIRELATENCY <= time(NULL) && (!HasFlags(tfVps) || !event);
 }
 
 time_t cTimer::StartTime(void) const
